<app-loading *ngIf="isLoading"></app-loading>
<hcm-mfe-allocation-line-branch-card-top
  (isSubmitForm)="doSearchFormCallBack($event)"
  [dataAssessmentPeriod]="dataAssessmentPeriod"
>
</hcm-mfe-allocation-line-branch-card-top>

<div class="content">
  <section>
    <h3>{{'goaManagement.classification-blocks-and-lines.label.attribute.classification-blocks-line' | translate}}</h3>
  </section>
  <section *ngIf="dataAllocationLineBranch && dataAllocationLineBranch[0]?.isEdit">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}" mbButtonTextColor="#141ED2"
               (click)="showModalUploadFile(footerTmplUploadFileAllocation)"
               *ngIf="objFunction?.import">
    </mb-button>
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'common.button.saveS' | translate}}"
      (click)="confirmApprovalSave(footerTmplShowModalConfirmSave)"
      *ngIf='objFunction?.create'
    ></mb-button>
  </section>

</div>

<div class="d-flex wrap-list-column" cdkDropListGroup>
  <div
    class="board-dnd-list"
    hcm-mfe-board-dnd-list
    *ngFor="let lane of dataAllocationLineBranch"
    [lane]="lane"
    [lanes]="dataAllocationLineBranch"
    (isChangeDropListLands)="updateDropColumn($event)"
    [policy]="objFunction?.create"
    [flagSwitchType]="true"
  >
  </div>
</div>

<ng-template #footerTmplShowModalConfirmSave>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="saveRecord()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>

<ng-template #footerTmplUploadFileAllocation>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>

